/**
 * Logs a message with a specific category and state.
 *
 * @param {string} category - MIDDLEWARE | CONTROLLER | SERVICE
 * @param {string} state - REQ | RES | ERR | WARN | INFO
 * @param {string} message - The message to be logged.
 * @return {undefined} - No return value.
 */
function newLog(category, state, message) {
  console.log(`[${category}] ${state} :> \n  ${message}`);
}
module.exports = {
  log: newLog
}