const express = require("express");
const router = express.Router()

const {} = require("../../EventController");
const {isAdmin, validateJWT} = require("../../../middlewares/AuthorizationMiddleware");

router.route("/all").get(isAdmin)
router.route("/new").post(validateJWT)

router.route("/:id").get(validateJWT)
router.route("/:id").delete(validateJWT)

module.exports = router
